package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;
import org.seasar.extension.jdbc.PropertyType;

/**
 * @author higa
 *  
 */
public class UpdateAutoHandler extends AbstractAutoHandler {

	public UpdateAutoHandler(DataSource dataSource, BeanMetaData beanMetaData,
			PropertyType[] propertyTypes) {
		super(dataSource, beanMetaData, propertyTypes);
	}

	protected void setupBindVariables(Object bean) {
		setupUpdateBindVariables(bean);
	}

	protected void postUpdateBean(Object bean) {
		updateVersionNoIfNeed(bean);
		updateTimestampIfNeed(bean);
	}
}